
#version 150

out vec3 c;

void main(void)
{
	c = pow(1.f-min(vec3(1.0f),pow(sqrt(vec3(dot(
				(gl_PointCoord.xy-vec2(0.5,0.5))*2.f,
				(gl_PointCoord.xy-vec2(0.5,0.5))*2.f
				))),vec3(3.f))),vec3(10.f));
}
